阅读 862

手摸手带你入门ionic3(二):环境配置

前言

学习一门新的计算机技能最基本的就是开发环境配置,顺利的情况下很简单,不顺利的时候能折腾人半天,令人头疼。从入门到放弃说的可能就是配置开发环境出错这个阶段吧。

ionic 开发必不可少 NodeCordovaionic 这三者。AndroidXcode 两者的环境配置在一开始是可选的,配置过程中假如出现错误解决不了,可以暂时放弃,等到熟悉了ionic开发流程,最后要打包成 Apk 或者 ipa 文件的时候再来解决也不迟。

Note: 本安装教程基于 Mac OS 开发环境,Windows 环境请自行查找。某些工具的安装方式有很多,只介绍个人认为最简单的,初学者可以很容易上手的。假如安装出错,Google错误信息,答案就在第一页。废话较多,比较啰嗦,见谅。

Node安装

现代前端开发少不了 NodeNpm,假如你对其不了解,请自行搜索相关资料。ionic 入门基本上只要会使用npm install这个命令就可以了。 进入Nodejs官网,会自动识别你的开发环境,点击下载LTS版的安装包并安装,node安装时会自动安装包管理器npm

起一个新的终端输入node -v,假如输出类似 v8.1.4,说明node安装成功。接着输入npm -v,会输出类似5.4.1

注意: 网上很多教程上将 npm 替换成 cnpm,在 ionic 的开发中建议不要这么做,否则可能会出现依赖包安装失败导致奇怪的问题,这点切记。

Cordova安装

在此之前确保 NodeNpm 安装成功,ionic 开发少不了 cordova,务必安装。 在终端上输入sudo npm install -g cordova-g表示全局安装的意思。结束后在终端上输入cordova -v,假如出现类似7.0.1,则表示安装成功。

ionic 安装

在终端上输入sudo npm install -g ionic,结束后接着输入ionic -v,会出现类似3.10.3

Android 环境配置

步骤太多,我知道,但是不想写,大家还是自己百度吧。

需要注意的有两点:JDK 版本 1.8 就可以了,Android SDK 安装 5.0 以上,ionic3 不支持 Android4.4 以下。

多说几句,很多初学者会遇到使用ionic打包命令打包失败的情况,一部分是自己代码的问题,一部分就是没有配置好安卓开发环境。这个对没有安卓开发经验的人来讲,确实是个麻烦。

Android开发环境配置好后,建议新建一个空白的原生项目,走一遍打包的过程,看是否可以成功打包成一个APK,假如可以,那么说明环境配置没问题。

Xcode 环境配置

我不知道,请自行百度,嘿嘿。

后记

本人在写一个ionic入门的教学手册 ionic3-handbook,还有一个基于真实项目的ionic项目HW-basic,感兴趣的可以看一下。

关注下面的标签,发现更多相似文章
评论